Loading...
Searching...
No Matches
XrdOucPinPath.cc File Reference
`#include "XrdVersion.hh"`
`#include "XrdOuc/XrdOucVerName.hh"`
Include dependency graph for XrdOucPinPath.cc:

Go to the source code of this file.

## Functions

int | XrdOucPinPath (const char *piPath, bool &noAltP, char *buff, int blen)

## Function Documentation

## XrdOucPinPath()

int XrdOucPinPath | ( | const char * | piPath,
|  | bool & | noAltP,
|  | char * | buff,
|  | int | blen )

XrdOucPinPath

This function performs name versioning for shared library plug-ins. It is a public header and may be used by third parties to adhere to the plugin naming conventions.

Obtain the primary path to be used to load a plugin.

Parameters

  piPath | Pointer to the original (i.e. specified) plugin path.
  noAltP | Upon return it is set to true or false. TRUE: only the returned primary path may be used to load the plugin (i.e. no alternate path allowed). FALSE: the plugin should first be loaded using the returned primary path and if that fails, the original path (i.e. piPath) should be used to load the plugin.
  buff | Pointer to a buffer that will hold the primary path.
  blen | The size of the buffer.

Returns
  success The length of the primary path in buff.
  failure Zero (buffer is too small) but eqName is still set.

Definition at line 34 of file XrdOucPinPath.cc.

{
return XrdOucVerName::Version(XRDPLUGIN_SOVERSION,piPath,noAltP,buff,blen);
}
XrdOucVerName::Version
static int Version(const char *piVers, const char *piPath, bool &noFBK, char *buff, int blen)
Definition XrdOucVerName.cc:96

References XrdOucVerName::Version().

Referenced by XrdAccAuthorizeObject().

Here is the call graph for this function:
Here is the caller graph for this function: